Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Member Functions | Protected Attributes
tlp::MouseEdgeBuilder Class Reference
Mouse_interactor

`#include <MouseEdgeBuilder.h>`

Inheritance diagram for tlp::MouseEdgeBuilder:
[legend]
Collaboration diagram for tlp::MouseEdgeBuilder:
[legend]

List of all members.

## Public Member Functions

- MouseEdgeBuilder ()
- bool draw (GlMainWidget *)
- bool eventFilter (QObject *, QEvent *)
- void initObserver (Graph *)
- void clearObserver ()
- void delNode (Graph *, const node)
- void destroy (Graph *)
- void afterSetNodeValue (PropertyInterface *, const node)
- void destroy (PropertyInterface *)
- InteractorComponent * clone ()

## Protected Member Functions

- virtual void addLink (QObject *, const node source, const node dest)

## Protected Attributes

- node source
- std::vector< Coord > bends

## Constructor & Destructor Documentation

tlp::MouseEdgeBuilder::MouseEdgeBuilder | ( |  | ) |

## Member Function Documentation

virtual void tlp::MouseEdgeBuilder::addLink | ( | QObject * | ,
|  | const node | source,
|  | const node | dest
| ) |  | `[protected, virtual]`

void tlp::MouseEdgeBuilder::afterSetNodeValue | ( | PropertyInterface * | ,
|  | const node |
| ) |  |

void tlp::MouseEdgeBuilder::clearObserver | ( |  | ) |

InteractorComponent* tlp::MouseEdgeBuilder::clone | ( |  | ) | `[inline, virtual]`

Clone this interactor component

Implements tlp::InteractorComponent.

void tlp::MouseEdgeBuilder::delNode | ( | Graph * | ,
|  | const node |
| ) |  |

void tlp::MouseEdgeBuilder::destroy | ( | PropertyInterface * |  | ) |

void tlp::MouseEdgeBuilder::destroy | ( | Graph * |  | ) |

bool tlp::MouseEdgeBuilder::draw | ( | GlMainWidget * |  | ) | `[virtual]`

This function draw interactor

Reimplemented from tlp::InteractorComponent.

bool tlp::MouseEdgeBuilder::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  |

void tlp::MouseEdgeBuilder::initObserver | ( | Graph * |  | ) |

## Member Data Documentation

std::vector<Coord> tlp::MouseEdgeBuilder::bends`[protected]`

node tlp::MouseEdgeBuilder::source`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012